Subject: Re: i2c_powermac: Kernel access of bad area

From: Jean Delvare <[email-masked]>
Date: Sun, 31 Jan 2010 10:52:31 +0100

On Sat, 30 Jan 2010 22:05:26 -0800 (PST), Christian Kujau wrote:
> OK, I've now applied both the drivers/hwmon/ams/ patches and your earlier 
> one for drivers/macintosh/therm_adt746x.c [0] to a current -git checkout 
> and now I can unload i2c_powermac, list and read the remaining files in
> /sys/devices/temperatures, load i2c_powermac again, and unload, and
> load, and ... - it's wonderful! :-) No oopses so far.
> 
> Feel free to add a Tested-by: Christian Kujau <[email-masked]>
> so that the patches can be pushed into mainline.

Thanks, I'll resend both patches with proper comments and headers now.

> Thanks for the fixes, Jean!

You're welcome.

-- 
Jean Delvare
http://khali.linux-fr.org/wishlist.html